Joomla 3.*

  • Today I had to upgrade an old, Joomla 2.5.7 site to latest Joomla, everything went out fine until I had to do the first critical step - the upgrade from Joomla 2.5.28 to Joomla 3.51. Did I mentioned that server has PHP 5.6.25 withouth possibility to upgrade - at least not on short term?

    OK, so, wasn't the best setup condition available, but usually this is not a dealbreaker.

    And BUMM, I have seen an old "friend", a popup saying:

    ERROR: Invalid login

     

  • Sometimes you need to allow a user to access and manage only one (or a few) Joomla! component in the backend. This is quite easy to set up, you need to use cleverly the ACL sytem Joomla has allready in.

  • ... and does this randomly, both in frontend and backend, sometimes showing the correct pages, and rarely an error message saying, that "table '#__session' is marked as crashed and last (automatic?) repair failed".